Debian Bug report logs - #223096
frozen-bubble: Not starting up with NVidia X server

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Tom Epperly <tomepperly@comcast.net>

Date: Sat, 6 Dec 2003 20:03:01 UTC

Severity: grave

Merged with 223243, 230497

Done: Randall Donald <randy@khensu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#223096; Package frozen-bubble. Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@comcast.net>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@comcast.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: frozen-bubble: Not starting up with NVidia X server
Date: Sat, 06 Dec 2003 11:37:42 -0800
Package: frozen-bubble
Version: 1.0.0-4
Severity: normal


sarantium:~> frozen-bubble
Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl: libGL.so.1: cannot handle TLS data at /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
 at /usr/lib/perl5/SDL.pm line 9
Compilation failed in require at /usr/lib/perl5/SDL.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/SDL.pm line 9.
Compilation failed in require at /usr/games/frozen-bubble line 52.
BEGIN failed--compilation aborted at /usr/games/frozen-bubble line 52.
sarantium:~>

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux sarantium 2.4.22-crypt #2 Wed Dec 3 19:46:13 PST 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US (ignored: LC_ALL set to en_US)

Versions of packages frozen-bubble depends on:
ii  fb-music-high               0.1.1        High quality, large music files fo
ii  frozen-bubble-data          1.0.0-4      Data files for Frozen-Bubble
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  libsdl-mixer1.2             1.2.5-3      mixer library for Simple DirectMed
ii  libsdl-perl                 1.20.0-12    SDL bindings for the Perl language
ii  libsdl1.2debian             1.2.6-2      Simple DirectMedia Layer
ii  perl                        5.8.2-2      Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8.0]   5.8.2-2      The Pathologically Eclectic Rubbis

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#223096; Package frozen-bubble. Full text and rfc822 format available.

Acknowledgement sent to 223096@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 223096@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tom Epperly <tomepperly@comcast.net>, 223096@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sun, 07 Dec 2003 01:00:54 +0100
[Message part 1 (text/plain, inline)]
Le sam 06/12/2003 à 20:37, Tom Epperly a écrit :
> sarantium:~> frozen-bubble
> Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl: libGL.so.1: cannot handle TLS data at /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
>  at /usr/lib/perl5/SDL.pm line 9

Do you have the latest version of the nvidia drivers? You have to update
them to comply with the new glibc requirements.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#223096; Package frozen-bubble. Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@comcast.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #15 received at 223096@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@comcast.net>
To: 223096@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sat, 06 Dec 2003 17:07:25 -0800
On Sat, 2003-12-06 at 16:00, Josselin Mouette wrote:
> Le sam 06/12/2003 à 20:37, Tom Epperly a écrit :
> > sarantium:~> frozen-bubble
> > Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl: libGL.so.1: cannot handle TLS data at /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
> >  at /usr/lib/perl5/SDL.pm line 9
> 
> Do you have the latest version of the nvidia drivers? You have to update
> them to comply with the new glibc requirements.

I have 1.0.4496. I just checked the NVidia site, and it's the latest.

(II) Loading /usr/X11R6/lib/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.4496
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) LoadModule: "int10"


-- 
Tom Epperly <tomepperly@comcast.net>




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#223096; Package frozen-bubble. Full text and rfc822 format available.

Acknowledgement sent to 223096@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #20 received at 223096@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Tom Epperly <tomepperly@comcast.net>, 223096@bugs.debian.org
Cc: nvidia-glx@packages.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sun, 07 Dec 2003 13:53:22 +0100
[Message part 1 (text/plain, inline)]
reassign 223096 nvidia-glx
thanks

Le dim 07/12/2003 à 02:07, Tom Epperly a écrit :
> On Sat, 2003-12-06 at 16:00, Josselin Mouette wrote:
> > Le sam 06/12/2003 à 20:37, Tom Epperly a écrit :
> > > sarantium:~> frozen-bubble
> > > Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl: libGL.so.1: cannot handle TLS data at /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
> > >  at /usr/lib/perl5/SDL.pm line 9
> > 
> > Do you have the latest version of the nvidia drivers? You have to update
> > them to comply with the new glibc requirements.
> 
> I have 1.0.4496. I just checked the NVidia site, and it's the latest.

Well, I'm letting this to the nvidia-glx maintainer, as I don't know
more about these drivers.

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `frozen-bubble' to `nvidia-glx'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 223096 223243. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@comcast.net>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #29 received at 223096@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@comcast.net>
To: 223096@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sun, 07 Dec 2003 08:17:51 -0800
On Sun, 2003-12-07 at 04:53, Josselin Mouette wrote:
> Le dim 07/12/2003 à 02:07, Tom Epperly a écrit :
> > On Sat, 2003-12-06 at 16:00, Josselin Mouette wrote:
> > > Le sam 06/12/2003 à 20:37, Tom Epperly a écrit :
> > > > sarantium:~> frozen-bubble
> > > > Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module SDL_perl: libGL.so.1: cannot handle TLS data at /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
> > > >  at /usr/lib/perl5/SDL.pm line 9
> > > 
> > > Do you have the latest version of the nvidia drivers? You have to update
> > > them to comply with the new glibc requirements.
> > 
> > I have 1.0.4496. I just checked the NVidia site, and it's the latest.
> 
> Well, I'm letting this to the nvidia-glx maintainer, as I don't know
> more about these drivers.

I am not having trouble with OpenGL screensavers. Are there other apps I
should try running?




Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #34 received at 223096@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: Tom Epperly <tomepperly@comcast.net>, 223096@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sun, 07 Dec 2003 21:57:07 -0800
>  
> > Well, I'm letting this to the nvidia-glx maintainer, as I don't know
> > more about these drivers.
> 

Are you using the 1.0.4496-10 packages? They should detect a 2.4 system.
If you are using the nvidia installer you could try 
./nvidia-installer --force-tls=classic 




-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to 223096@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #39 received at 223096@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Sythos <sythos@sythos.net>, 143800@bugs.debian.org, 223096@bugs.debian.org
Subject: Re: Bug#143800: frozen-bubble: Frozen won't start, SDL_perl problem
Date: Mon, 29 Dec 2003 16:38:54 +0100
[Message part 1 (text/plain, inline)]
Le sam 27/12/2003 à 13:47, Sythos a écrit :
> Package: frozen-bubble
> Version: 1.0.0-4
> Severity: normal
> Followup-For: Bug #143800
> 
> :~$ frozen-bubble
> Can't load '/usr/lib/perl5/auto/SDL_perl/SDL_perl.so' for module
> SDL_perl: libGL.so.1: cannot handle TLS data at
> /usr/lib/perl/5.8.2/DynaLoader.pm line 225.
>  at /usr/lib/perl5/SDL.pm line 9
>  Compilation failed in require at /usr/lib/perl5/SDL.pm line 9.
>  BEGIN failed--compilation aborted at /usr/lib/perl5/SDL.pm line 9.
>  Compilation failed in require at /usr/games/frozen-bubble line 52.
>  BEGIN failed--compilation aborted at /usr/games/frozen-bubble line 52.

Again, nvidia drivers. See bugs #223096 and co. This has nothing to do
with #143800, please don't pollute bug reports like this.

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Severity set to `grave'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 223096 223243 230497. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #48 received at 223096@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 223096@bugs.debian.org, 223096-submitter@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sat, 31 Jan 2004 03:09:25 -0800
Did you install the nvidia-glx package or use the NVIDIA installer?

You might want to try the --force-tls=classic option on the installer if
that is what you used. 

Please respond.

thanks,
randy
-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Message sent on to Tom Epperly <tomepperly@comcast.net>:
Bug#223096. Full text and rfc822 format available.

Information stored:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@alumni.carnegiemellon.edu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #56 received at 223096-quiet@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@alumni.carnegiemellon.edu>
To: Randall Donald <randy@khensu.org>, 223096-quiet@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sat, 31 Jan 2004 07:49:12 -0800
On Sat, 2004-01-31 at 03:09, Randall Donald wrote:
> Did you install the nvidia-glx package or use the NVIDIA installer?
> 
> You might want to try the --force-tls=classic option on the installer if
> that is what you used. 

I used the NVIDIA installer. I will try the --force-tls-classic option.

Tom
> 
> Please respond.
> 
> thanks,
> randy
-- 
Tom Epperly <tomepperly@alumni.carnegiemellon.edu>




Information stored:
Bug#223096; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Tom Epperly <tomepperly@comcast.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #61 received at 223096-quiet@bugs.debian.org (full text, mbox):

From: Tom Epperly <tomepperly@comcast.net>
To: Randall Donald <randy@khensu.org>, 223096-quiet@bugs.debian.org
Subject: Re: Bug#223096: frozen-bubble: Not starting up with NVidia X server
Date: Sat, 31 Jan 2004 13:44:52 -0800
On Sat, 2004-01-31 at 03:09, Randall Donald wrote:
> Did you install the nvidia-glx package or use the NVIDIA installer?
> 
> You might want to try the --force-tls=classic option on the installer if
> that is what you used. 

--force-tls=classic makes it work





Reply sent to Randall Donald <randy@khensu.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tom Epperly <tomepperly@comcast.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 223096-done@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 223096-done@bugs.debian.org
Subject: Closing
Date: Wed, 04 Feb 2004 15:28:06 -0800
As I suspected, drivers were installed via the nvidia installer
Now closing.
 


-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                   	
--------------------------------------------



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:17:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.